Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234935 - ppp0 with USB ADSL modem and ATM protocol not working at boot time
Summary: ppp0 with USB ADSL modem and ATM protocol not working at boot time
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-network
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-02 22:03 UTC by Martí­n Marqués
Modified: 2008-05-06 19:26 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-06 19:26:47 UTC


Attachments (Terms of Use)

Description Martí­n Marqués 2007-04-02 22:03:43 UTC
Description of problem:

Whenever I started my PC connected to and ADSL USB modem (Huawei) I have to make
the conection by hand. Now I entered the commands to the /etc/rc.local and
connection is comming up at boot time, but I think the place for this is in the
network configuration scripts, especificaly
/etc/sysconfig/network-scripts/ifcfg-ppp0. 

The lines I have to add are:

modprobe br2684
br2684ctl -c 0 -b -a 0.33
ifconfig nas0 up
ifup ppp0

Version-Release number of selected component (if applicable):

8.45.7-1

How reproducible:

As mentioned above

Steps to Reproduce:
1.
2.
3.
  
Actual results:

If I enable ppp0 at boot it doesn't work

Expected results:

ppp0 has to come up in boot time.

Additional info:

Comment 1 Bill Nottingham 2007-04-06 03:28:32 UTC
1) if you need to load that module by hand, it's a bug in that module
2) the br2684ctl line looks like it's best done in a udev script
3) what is nas0?



Comment 2 Martí­n Marqués 2007-04-06 20:34:28 UTC
Sorry Bill. Got it fixed in modprobe.conf:

alias nas0 br2684
install br2684 /sbin/modprobe --ignore-install br2684 && /usr/sbin/br2684ctl -c
0  -b -a 0.33 >/dev/null 2>&1 || :

The thing was that there was no information on how to automatize this. Seeing
how the sound card got loaded I tried those lines in modprobe.conf whcih work
like a charme.

Thaks anyway.

Comment 3 Bill Nottingham 2007-04-07 22:16:29 UTC
With that, does it work?

If it's a USB device, the driver really should be loading automatically.

Comment 4 Martí­n Marqués 2007-04-08 14:32:30 UTC
The problem was not with the USB module, which is the ueagle-atm, but with the
br2685 module (I'm not an expert on this) that is a bridge to the ATM protocol.

The thing is that there are parameters that have to be given to the module (the
br2684) to make it work with my ISP (the -a 0.33 argument), and the only way I
knew how to do it was with the command lines that I stated in the original
message here.

Maybe, as there is a proliferance of USB modem there should be a graphical
interface in Fedora con configure them.

Comment 5 Bill Nottingham 2007-04-16 22:05:27 UTC
Moving to system-config-network, then. Not sure how automatically this could be
detected and configured, though.

Comment 6 Harald Hoyer 2007-04-17 07:54:21 UTC
very difficult to automatize this...

Comment 7 Bug Zapper 2008-04-04 06:44:34 UTC
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

Comment 8 Bug Zapper 2008-05-06 19:26:45 UTC
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.